#include "gm.h"

#include "DictionaryTrie.h"

DictionaryTrie maindt;
std::vector<std::string> findresults;

gmexport double dt_load(const char* file) {
	return (maindt.Load(file))? 1 : 0;
}

gmexport double dt_find(const char* filter) {
	findresults = maindt.Find(filter);
	return 1;
}

gmexport double dt_get_result_count() {
	return findresults.size();
}

gmexport const char* dt_get_result(double index) {
	unsigned int i = gm_cast<unsigned int>(index);
	if(i>=findresults.size()) {
		return "";
	}
	return findresults[i].c_str();
}

